time-manager (2.2.1) unstable; urgency=medium

  * Init script has no shutdown function

 -- SAH bot <sahbot@softathome.com>  Tue, 04 Jul 2023 15:05:11 +0000

time-manager (2.2.0) unstable; urgency=medium

  * add ACLs permissions for cwmp user

 -- SAH bot <sahbot@softathome.com>  Wed, 07 Jun 2023 08:23:45 +0000

time-manager (2.1.20) unstable; urgency=medium

  * - [HTTPManager][WebUI] Create plugin's ACLs permissions

 -- SAH bot <sahbot@softathome.com>  Thu, 25 May 2023 10:01:51 +0000

time-manager (2.1.19) unstable; urgency=medium

  * service protocol should be integers

 -- SAH bot <sahbot@softathome.com>  Thu, 20 Apr 2023 15:09:30 +0000

time-manager (2.1.18) unstable; urgency=medium

  * [odl]Remove deprecated odl keywords

 -- SAH bot <sahbot@softathome.com>  Mon, 17 Apr 2023 11:29:56 +0000

time-manager (2.1.17) unstable; urgency=medium

  * [tr181-dhcpv4][tr181-ppp][tr181-time] unit test code lines are counted in coverage report

 -- SAH bot <sahbot@softathome.com>  Tue, 21 Mar 2023 14:02:08 +0000

time-manager (2.1.16) unstable; urgency=medium

  * [baf] Correct typo in config option

 -- SAH bot <sahbot@softathome.com>  Fri, 17 Mar 2023 18:39:59 +0000

time-manager (2.1.15) unstable; urgency=medium

  * Add AP config files

 -- SAH bot <sahbot@softathome.com>  Thu, 16 Mar 2023 13:49:21 +0000

time-manager (2.1.14) unstable; urgency=medium

  * Add missing runtime dependency on rpcd
  * [Config] enable configurable coredump generation

 -- SAH bot <sahbot@softathome.com>  Thu, 09 Mar 2023 12:01:16 +0000

time-manager (2.1.13) unstable; urgency=medium

  * [time-manager] Excessive chronyd restarts

 -- SAH bot <sahbot@softathome.com>  Thu, 12 Jan 2023 10:01:38 +0000

time-manager (2.1.12) unstable; urgency=medium

  * avoidable copies of strings, htables and lists

 -- SAH bot <sahbot@softathome.com>  Mon, 09 Jan 2023 13:48:38 +0000

time-manager (2.1.11) unstable; urgency=medium

  * Fix typos in odl ...
  * init without clean on local variables

 -- SAH bot <sahbot@softathome.com>  Mon, 09 Jan 2023 09:26:33 +0000

time-manager (2.1.10) unstable; urgency=medium

  * Excessive chronyd restarts

 -- SAH bot <sahbot@softathome.com>  Fri, 16 Dec 2022 08:12:05 +0000

time-manager (2.1.9) unstable; urgency=medium

  * [Config] coredump generation should be configurable

 -- SAH bot <sahbot@softathome.com>  Fri, 09 Dec 2022 09:31:47 +0000

time-manager (2.1.8) unstable; urgency=medium

  * [prpl][Timeplugin] The timeserver must not start until the Time client has synced the time correctly.

 -- SAH bot <sahbot@softathome.com>  Fri, 02 Dec 2022 12:44:09 +0000

time-manager (2.1.7) unstable; urgency=medium

  * [tr181-time] create unit tests for uci-chrony module

 -- SAH bot <sahbot@softathome.com>  Thu, 24 Nov 2022 11:13:47 +0000

time-manager (2.1.6) unstable; urgency=medium

  * [tr181-time] BBF Time Manager Datamodel Evolutions: Time.Server.

 -- SAH bot <sahbot@softathome.com>  Tue, 15 Nov 2022 14:01:47 +0000

time-manager (2.1.5) unstable; urgency=medium

  * [tr181-time] BBF Time Manager Datamodel Evolutions: Time.Client.

 -- SAH bot <sahbot@softathome.com>  Thu, 27 Oct 2022 10:09:40 +0000

time-manager (2.1.4) unstable; urgency=medium

  * [tr181-time] create more unit tests for time-manager

 -- SAH bot <sahbot@softathome.com>  Thu, 15 Sep 2022 08:07:18 +0000

time-manager (2.1.3) unstable; urgency=medium

  * [tr181-time] NTP server on wnc not reachable

 -- SAH bot <sahbot@softathome.com>  Thu, 25 Aug 2022 08:28:11 +0000

time-manager (2.1.2) unstable; urgency=medium

  * [tr181-time] localtime not changing when timezone changes

 -- SAH bot <sahbot@softathome.com>  Thu, 28 Jul 2022 08:02:49 +0000

time-manager (2.1.1) unstable; urgency=medium

  * - [tr181-time] remove debug trace

 -- SAH bot <sahbot@softathome.com>  Thu, 09 Jun 2022 07:34:30 +0000

time-manager (2.1.0) unstable; urgency=medium

  * tr181-time: rewrite time plugin

 -- SAH bot <sahbot@softathome.com>  Fri, 27 May 2022 08:21:53 +0000

time-manager (2.0.1) unstable; urgency=medium

  * [GetDebugInformation] Add data model debuginfo in component services

 -- SAH bot <sahbot@softathome.com>  Thu, 24 Mar 2022 10:57:14 +0000

time-manager (2.0.0) unstable; urgency=medium

  * The Time plugin does not configure the firewall correctly.

 -- SAH bot <sahbot@softathome.com>  Thu, 17 Mar 2022 15:44:32 +0000

time-manager (1.2.6) unstable; urgency=medium

  * Enable core dumps by default

 -- SAH bot <sahbot@softathome.com>  Fri, 25 Feb 2022 11:18:04 +0000

time-manager (1.2.5) unstable; urgency=medium


 -- SAH bot <sahbot@softathome.com>  Thu, 03 Feb 2022 18:12:05 +0000

time-manager (1.2.4) unstable; urgency=medium

  * Only use index paths when opening NetModel queries

 -- SAH bot <sahbot@softathome.com>  Wed, 26 Jan 2022 21:07:12 +0000

time-manager (1.2.3) unstable; urgency=medium

  * Remove dictionary

 -- SAH bot <sahbot@softathome.com>  Thu, 23 Dec 2021 07:56:52 +0000

time-manager (1.2.2) unstable; urgency=medium

  * Plugins should only start when wan is up

 -- SAH bot <sahbot@softathome.com>  Mon, 13 Dec 2021 17:17:57 +0000

time-manager (1.2.1) unstable; urgency=medium

  * Use interface name instead of device name for chronyd

 -- SAH bot <sahbot@softathome.com>  Sat, 11 Dec 2021 08:25:14 +0000

time-manager (1.2.0) unstable; urgency=medium

  * [tr181-time] add guest config

 -- SAH bot <sahbot@softathome.com>  Thu, 04 Nov 2021 11:46:26 +0000

time-manager (1.1.6) unstable; urgency=medium

  * Time.CurrentLocalTime is always displayed in UTC time zone

 -- SAH bot <sahbot@softathome.com>  Thu, 28 Oct 2021 07:57:13 +0000

time-manager (1.1.5) unstable; urgency=medium

  * set start up order to 30

 -- SAH bot <sahbot@softathome.com>  Wed, 13 Oct 2021 11:53:14 +0000

time-manager (1.1.4) unstable; urgency=medium

  * [Time]Time plugin sometimes does not start

 -- SAH bot <sahbot@softathome.com>  Wed, 06 Oct 2021 07:44:50 +0000

time-manager (1.1.3) unstable; urgency=medium

  * Missing mod-sahtrace dependecy in some components
  * [Time]Time plugin sometimes does not start

 -- SAH bot <sahbot@softathome.com>  Wed, 29 Sep 2021 11:42:43 +0000

time-manager (1.1.2) unstable; urgency=medium

  * Update DM accordingly to initially populated objects

 -- SAH bot <support.opensource@softathome.com>  Wed, 25 Aug 2021 14:20:06 +0000

time-manager (1.1.1) unstable; urgency=medium

  * open/close firewall port for ntp

 -- SAH bot <support.opensource@softathome.com>  Tue, 24 Aug 2021 13:45:47 +0000

time-manager (1.1.0) unstable; urgency=medium

  * open/close firewall port for ntp

 -- SAH bot <support.opensource@softathome.com>  Tue, 24 Aug 2021 11:54:56 +0000

time-manager (1.0.6) unstable; urgency=medium

  * Align time-manager with latest amx libraries
  * Correct changelog

 -- SAH bot <support.opensource@softathome.com>  Mon, 23 Aug 2021 14:32:27 +0000

time-manager (1.0.5) unstable; urgency=medium

    * PCF-147 Overwrite UCI configuration with ODL values on plugin start
    * \#14 Remove all printf from source
    * PCF-152 generate chronyd configuration on boot

-- Konrad Polak <konrad.polak_ext@softathome.com>  Tue Jul 6 11:54:56 2021 +0000

time-manager (1.0.4) unstable; urgency=medium

    * PCF-139 Remove state snapshot and operate on DM directly
    * PCF-127 Change in Time.LocalTimzeZone TR181 parameter is not reflected in the Time.CurrentLocalTime update
    * \#9 Set correct default values in ODL and remove duplication to DM object
    * \#8 Check fscanf return value
    * \#10 Dangerous clean target for all tr181 components

 -- Konrad Polak <konrad.polak_ext@softathome.com>  Tue Jun 22 14:41:11 2021 +0000

time-manager (1.0.3) unstable; urgency=medium

    * NTP Server functionality added (3.0.0)
    \#4 "Compilation error when use arch64_cortex-a53_musl toolchain"

 -- Konrad Polak <konrad.polak_ext@softathome.com>  Thu May 20 14:40:13 2021 +0000

time-manager (1.0.2) unstable; urgency=medium

  * NTP Client functionality added

 -- Konrad Polak <konrad.polak_ext@softathome.com>  Tue May 11 13:07:04 2021 +0000
 

time-manager (1.0.1) unstable; urgency=medium

  * Initial version 

 -- Eeckhout Jonathan <jonathan.eeckhout@softathome.com>  Wed, 14 Apr 2021 14:03:00 +0100